version: '3.2'

services:
  server:
    ports:
      - 3030:3030
    environment:
      - NODE_ENV=production
      - PORT=3030
      - SECRETKEY
      - LOGLEVEL=warn
      - ALLOW_ORIGIN=$DIGITAL_OCEAN_ALLOW_ORIGIN
      - DB_HOSTNAME=$DB_HOSTNAME
      - DB_PORT=_NOT_USED_
      - DB_DBNAME=$DB_DBNAME
      - DB_USERNAME=$DB_USERNAME
      - DB_PASSWORD=$DB_PASSWORD
    restart: unless-stopped
